QGIS Application - Bug report #11060
ui: gt guru needed to adjust new color picker widget's positioning
2014-08-14 07:40 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 19394
Description

On windows platform (using the default QT Plastique style/theme), the new color picker widget (thanks Nyall, fantastic job!) doesn't play
well with the Ul. It's often vertically misaligned (see attached screenshot for one of the worse of such misalignment), and its height is
excessively tall when compared to other widgets (drop-down list, buttons, etc.).

Before the release of QGIS 2.6, | think it'd good for one QT GUI guru to have a look at this and try to improve things so QGIS looks
acceptable on windows.

(Filling this as per a discussion with Nyall)

Associated revisions

Revision 31c055d2 - 2014-08-25 11:58 AM - Nyall Dawson

Fix some alignment and tab issues with symbol dialogs (refs #11060)

Revision 8766cd18 - 2014-08-25 12:14 PM - Nyall Dawson

Add a platform-specific size hint for QgsColorButtonV2 (refs #11060)

History

#1 - 2014-08-25 12:38 AM - Leyan Ouyang

I can't reproduce it with Windows 7. | tried with different styles, different font sizes, but it is always correctly aligned.

#2 - 2014-08-25 12:40 AM - Mathieu Pellerin - nIRV

Leyan, screenshot?

#3 - 2014-09-27 10:29 PM - Nyall Dawson
- Status changed from Open to Feedback

Mathieu - this can be closed now, right?
#4 - 2014-09-27 11:47 PM - Mathieu Pellerin - nIRV
- Resolution set to fixed/implemented

- % Done changed from 0 to 100

- Status changed from Feedback to Closed

absolutely

Files
color_picker-simple_fill.ong 126 KB 2014-08-14 Mathieu Pellerin - nIRV
